package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公司对象 mall_company
 * 
 * @author LCL
 * @date 2024-03-12
 */
public class MallCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司主键ID */
    private Long companyId;

    /** 公司名 */
    @Excel(name = "公司名")
    private String companyName;

    /** 公司编号 */
    @Excel(name = "公司编号")
    private String companyNumber;

    /** 公司账号 */
    @Excel(name = "公司账号")
    private String companyAccount;

    /** 公司密码 */
    @Excel(name = "公司密码")
    private String companyPassword;

    /** 系统用户ID */
    @Excel(name = "系统用户ID")
    private Long sysUserId;

    /** 公司帐号状态：0-正常，1-停用 */
    @Excel(name = "公司帐号状态：0-正常，1-停用")
    private String companyStatus;

    /** 省份ID */
    @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名 */
    @Excel(name = "省份名")
    private String provinceName;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String cityName;

    /** 区县ID */
    @Excel(name = "区县ID")
    private Long areaId;

    /** 区县名 */
    @Excel(name = "区县名")
    private String areaName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setCompanyNumber(String companyNumber) 
    {
        this.companyNumber = companyNumber;
    }

    public String getCompanyNumber() 
    {
        return companyNumber;
    }
    public void setCompanyAccount(String companyAccount) 
    {
        this.companyAccount = companyAccount;
    }

    public String getCompanyAccount() 
    {
        return companyAccount;
    }
    public void setCompanyPassword(String companyPassword) 
    {
        this.companyPassword = companyPassword;
    }

    public String getCompanyPassword() 
    {
        return companyPassword;
    }
    public void setSysUserId(Long sysUserId) 
    {
        this.sysUserId = sysUserId;
    }

    public Long getSysUserId() 
    {
        return sysUserId;
    }
    public void setCompanyStatus(String companyStatus) 
    {
        this.companyStatus = companyStatus;
    }

    public String getCompanyStatus() 
    {
        return companyStatus;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("companyNumber", getCompanyNumber())
            .append("companyAccount", getCompanyAccount())
            .append("companyPassword", getCompanyPassword())
            .append("sysUserId", getSysUserId())
            .append("companyStatus", getCompanyStatus())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
